/*
 *  Widgets/Button24.cs
 *  Copyright (C) 2004-2006 Marcin Krystian Krzywonos
 *  License: GNU/GPL, version 2
 */


using System;
using GLib;


namespace esofokles.Widgets {
	public class Button24 : Gtk.Button {
		public Gtk.Image Img;
		public Gtk.Label Lbl;
		
		
		public Button24 (string Title)
		{
			if (Title [0] == '_')
				Title = Title.Substring (1);
			
			Gtk.Alignment al = new Gtk.Alignment ((float) 0.50, (float) 0.50, 0, 0);
			this.Add (al);
			
			Gtk.HBox MainBox = new Gtk.HBox ();
			MainBox.Spacing = 2;
			al.Add (MainBox);
			
			Img = new Gtk.Image ();
			MainBox.PackStart (Img, false, false, 2);
			
			Lbl = new Gtk.Label ();
			Lbl.UseMarkup = true;
			Lbl.Markup = Title;
			Lbl.Text = Title;
			Lbl.Xalign = (float) 0.00;
			MainBox.PackStart (Lbl, true, true, 0);
			
			al.ShowAll ();
		}
	}
}
